/*
 * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

package test;

import java.util.*;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Query;

public class Client {

    private EntityManagerFactory emf;

    /** */
    public static void main (String[] args) {
        Client main = new Client();
        main.test();
    }
    
    /** */
    public Client () {
        // create EMF
        emf = Persistence.createEntityManagerFactory("em");
    }
    
    /** */
    void test() {
        EntityManager em = emf.createEntityManager();
        String jpql = "SELECT s.company.contact.firstName FROM Submission s";
        Query q = em.createQuery(jpql);
        List result = q.getResultList();
    }
}

